package cbpm.rtx.utils;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cbpm.rtx.common.log.LogFactory;
import cbpm.rtx.common.log.LogUtil;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.util.Properties;

public class PropertiesUtil {
  private static Properties prop = null;
  
  private static String CONFIGPATH = "";
  
  public PropertiesUtil() {
    init();
  }
  
  public PropertiesUtil(Properties prop) {
    cbpm.rtx.utils.PropertiesUtil.prop = prop;
  }
  
  public PropertiesUtil(String conf) {
    CONFIGPATH = conf;
    init(CONFIGPATH);
  }
  
  public Properties getProp() {
    return prop;
  }
  
  public void setProp(Properties prop) {
    cbpm.rtx.utils.PropertiesUtil.prop = prop;
  }
  
  public static cbpm.rtx.utils.PropertiesUtil getInstance(String configpath) {
    return new cbpm.rtx.utils.PropertiesUtil(configpath);
  }
  
  private void init(String configpath) {
    CONFIGPATH = configpath;
    init();
  }
  
  private void init() {
    LogUtil log = LogFactory.getLog4jUtil(getClass());
    try {
      if (CONFIGPATH == null || CONFIGPATH.length() == 0) {
        log.error("No configFile");
      } else {
        String files = getClass().getResource(CONFIGPATH).getFile();
        System.out.println("files:" + files);
        File file = new File(files);
        InputStream in = null;
        in = new FileInputStream(file);
        if (in == null);
        if (in == null);
        prop = new Properties();
        prop.load(in);
        in.close();
      } 
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
  
  public String getProperty(String propName) {
    return getProperty(propName, "");
  }
  
  public String getProperty(String propName, String defValue) {
    if (prop == null)
      init(); 
    String s = defValue;
    try {
      s = prop.getProperty(propName);
      if (s == null)
        s = defValue; 
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return s;
  }
  
  public static void main(String[] args) {
    cbpm.rtx.utils.PropertiesUtil propUtil = getInstance("/esb_rtx.properties");
  }
}
